var Emoji = {
    show: function (t, e) {
        if (!t.hasClass("emoji-open")) {
            t.addClass("emoji-open");
        }
        return false;
    }, hide: function (t, e) {
        if (t.hasClass("emoji-open")) {
            t.removeClass("emoji-open");
        }
        return false;
    }, toggle: function (t, e) {
        if (t.hasClass("emoji-open")) {
            t.removeClass("emoji-open");
        } else {
            t.addClass("emoji-open");
        }
        return false;
    },
    __initialization: function () {
        if ($(".emoji-block")) {
            var eBlock = $("#" + $(".emoji-block").attr('id'));
            var eText = $("#" + eBlock.attr('data-id'));
            var att = $(".emoji-block").attr('data-id');
            var a = $("#" + att);
            eBlock.find('.emoji-smile').on('click', function (e) {
                Emoji.toggle(eBlock, event);
            });
            eText.on("keydown", function (event) {
                if (event.keyCode === 9) {
                    Emoji.toggle(eBlock, event);
                    return false;
                }
            });
            eBlock.find('.emoji-menu img').on('click', function (e) {
                if ($(this).attr('alt') !== undefined) {
                    eText.insertAtCaret($(this).attr('alt'));
                }
            });
        }
    }
};
Emoji.__initialization();